org.apache.ignite.internal.processors.cache.persistence.wal.scanner

## Class WalScanner

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.scanner.WalScanner

    public class WalScanner
    extends Object

Scanning WAL by specific condition.

### Nested Class Summary

Nested Classes
`static class` `WalScanner.ScanTerminateStep` Terminate state of scanning of WAL for ability to do chaining flow.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static WalScanner` `buildWalScanner(IgniteWalIteratorFactory.IteratorParametersBuilder parametersBuilder)` Factory method of `WalScanner`.
`static WalScanner` `buildWalScanner(IgniteWalIteratorFactory.IteratorParametersBuilder parametersBuilder, IgniteWalIteratorFactory factory)` Factory method of `WalScanner`.
`static WalScanner` `buildWalScanner(WALIterator walIterator)` Factory method of `WalScanner`.
`WalScanner.ScanTerminateStep` `findAllRecordsFor(@NotNull Collection<T2<Integer,Long>> groupAndPageIds)` Finding all page physical records whose pageId is contained in given collection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### findAllRecordsFor

    @NotNull
    public WalScanner.ScanTerminateStep findAllRecordsFor(@NotNull
                                                                   @NotNull Collection<T2<Integer,Long>> groupAndPageIds)

Finding all page physical records whose pageId is contained in given collection.

Parameters:
  `groupAndPageIds` - Search pages.
Returns:
  Final step for execution some action on result.

#### buildWalScanner

    public static WalScanner buildWalScanner(WALIterator walIterator)

Factory method of `WalScanner`.

Parameters:
  `walIterator` - Preconfigured WAL iterator.
Returns:
  Instance of `WalScanner`.

#### buildWalScanner

    public static WalScanner buildWalScanner(IgniteWalIteratorFactory.IteratorParametersBuilder parametersBuilder)

Factory method of `WalScanner`.

Parameters:
  `parametersBuilder` - Iterator parameters for customization.
Returns:
  Instance of `WalScanner`.

#### buildWalScanner

    public static WalScanner buildWalScanner(IgniteWalIteratorFactory.IteratorParametersBuilder parametersBuilder,
                                             IgniteWalIteratorFactory factory)

Factory method of `WalScanner`.

Parameters:
  `parametersBuilder` - Iterator parameters for customization.
  `factory` - Custom instance of `IgniteWalIteratorFactory`.
Returns:
  Instance of `WalScanner`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020